Package org.springframework.http.converter

# Class HttpMessageConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.http.converter.HttpMessageConversionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HttpMessageNotReadableException`, `HttpMessageNotWritableException`

public class HttpMessageConversionException extends org.springframework.core.NestedRuntimeException
Thrown by `HttpMessageConverter` implementations when a conversion attempt fails.

Since:
  3.0
Author:
  Arjen Poutsma, Sebastien Deleuze
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpMessageConversionException(String msg)`
Create a new HttpMessageConversionException.
`HttpMessageConversionException(String msg, Throwable cause)`
Create a new HttpMessageConversionException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpMessageConversionException

public HttpMessageConversionException(String msg)
Create a new HttpMessageConversionException.

Parameters:
  `msg` - the detail message

### HttpMessageConversionException

public HttpMessageConversionException(String msg, @Nullable Throwable cause)
Create a new HttpMessageConversionException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (if any)